LIBRARY T0AST;
{$APPTYPE GUI}

uses
  Forms,
  Main in 'Main.pas' {MainForm},
  SoundEnginePlayer in 'SoundEnginePlayer.pas',
  PatternEditor in 'PatternEditor.pas',
  Globals in 'Globals.pas',
  PatternOrderEditor in 'PatternOrderEditor.pas',
  InstrumentEditor in 'InstrumentEditor.pas' {InstrumentEditorForm},
  Oscil in 'Oscil.pas',
  ExportStatus in 'ExportStatus.pas' {WaveExportStatus},
  synth in 'synth.pas';

{$R *.RES}

PROCEDURE Run; STDCALL;
begin
  Application.Initialize;
  Application.Title := 'The 0ok Amazing Synth Tracker';
  Application.CreateForm(TMainForm, MainForm);
  Application.CreateForm(TInstrumentEditorForm, InstrumentEditorForm);
  Application.CreateForm(TWaveExportStatus, WaveExportStatus);
  Application.Run;
end;

exports Run name 'Run';

end.
